<?php

instant_vsl_use([
	'Controllers/Api/ApiController',
  'Controllers/Database/DatabaseController'
]);


class InstantVSL_ApiAdvancedController extends InstantVSL_ApiController
{

  public function index($request)
  {

    $db = new InstantVSL_DatabaseController;

    $success = '';

    if($request->action == 'db_remove') {
      $db->destroy();
      $success = 'Database Removed';
    }
    elseif($request->action == 'db_reset') {
      $db->reset();
      $success = 'Database Has Been Reset';
    }
    elseif($request->action == 'db_update') {
      $db->update();
      $success = 'Database Updated';
    }
    elseif($request->action == 'reset_all') {
      $db->reset();
      $this->deleteOption('settings');
      $success = 'Reset Complete';
    }
    wp_send_json_success($success); exit;
  }

}
