<?php

instant_vsl_use([
  'Controllers/Api/ApiController',
  'Core/Time',
  'Models/Visit',
  'Models/Page'
]);


class InstantVSL_ApiVisitsController extends InstantVSL_ApiController
{

  public function reset($request)
  {
    $page = InstantVSL_Page::where('id', $request->id)->first(['id']);

    if(empty($page)) {
      wp_send_json_error('not_found'); exit;
    }

    $page->visits = 0;
    $page->visits_unique = 0;
    $page->save();

    // remove visits
    $visits = new InstantVSL_Visit;

    $args = [
      'page_id' => $request->id
    ];

    $visits->wpDelete($args);

    wp_send_json_success(); exit;
  }

}
