<?php

instant_vsl_use([
	'Core/WP/WPPage',
	'Controllers/Controller',
  'Helpers/Html/HtmlTag',
	'Controllers/Dash/Traits/LoadUserDash'
]);

class InstantVSL_DashPageController extends InstantVSL_WPPage
{
	use InstantVSL_DashController_loadUserDash;

	protected $post_type = 'page';

  public function index($request)
  {
		$options = InstantVSL::$options;

		if(empty($options) || !is_array($options) || empty($options['dash_slug']) || empty($options['dash_active']) || $options['dash_slug'] != $this->post_id) {
			return;
		}

		$this->loadUserDash();

  }
}
