<?php

if(trait_exists('InstantVSL_WPGetMenu')) {
    return;
}

trait InstantVSL_WPGetMenu
{

  public function wpGetMenu($slug)
	{
		$links = wp_get_nav_menu_items($slug);

		$menu = [];

		if(!empty($links)) {
			foreach($links as $link) {

				array_push($menu, [
					'url' => $link->url,
					'title' => $link->title,
					'target' => $link->target
				]);
			}
		}

		return $menu;
	}

}
