<?php
add_action( 'admin_head', function(){
	return;
	?>

	<style>

		/* Plugin Name */
		tr[data-slug="instant-vsl"] td.plugin-title strong {
			display: none;
		}
		tr[data-slug="instant-vsl"] td.plugin-title::before {
			content: "Custom Pages Pro";
			font-weight: 600;
			display: block;
    	margin-bottom: .2em;
    	font-size: 14px;
		}

		/* Description */
		tr[data-slug="instant-vsl"] .plugin-description p {
			display: none;
		}
		tr[data-slug="instant-vsl"] .plugin-description::before {
			 content: "The perfect custom page in about 60 seconds. (custom)";
			 font-size: 13px;
     	line-height: 1.5em;
 			padding: 0;
			color: #32373c;
			word-wrap: break-word;
			display: block;
			margin: 0 0 8px;

		}

		/* Description Line 2 */
		tr[data-slug="instant-vsl"] .plugin-version-author-uri {
			display: none;
		}
		tr[data-slug="instant-vsl"] .column-description::after {
			content: "Version 1.0.4 | Licensed by Custom Business Name"
		}


		/* Menu */
		.toplevel_page_instant-vsl .wp-menu-name span {
			display: none;
		}
		.toplevel_page_instant-vsl .wp-menu-name::before {
		  content: "Custom Pages";
		}

	</style>


	<?php
});







// wp_send_json($info['version']); exit;


add_filter( 'plugin_row_meta', 'custom_plugin_row_meta', 10, 2 );

function custom_plugin_row_meta( $links, $file ) {

	$info = instant_vsl_info();

	if ( strpos( $file, 'instant-vsl.php' ) !== false ) {
		$new_links = array(
			'text' => 'Version '.$info['version'].' | Licensed by ABC Business ',
				'donate' => '<a href="donation_url" target="_blank">Donate</a>',
                                'doc' => '<a href="doc_url" target="_blank">Documentation</a>'
				);

		$links = $new_links;// array_merge( $links, $new_links );
	}

	return $links;
}
