<?php


class InstantVSL_DB_Clicks extends InstantVSL_Migration
{
	protected $table = 'clicks';

	protected $use_group_id = false;

	public function up()
	{
		$this->increments('id')
		->integer('page_id', 13)->unsigned()->nullable() // created by
		->integer('block_id', 13)->unsigned()->nullable() // created by
		->integer('visit_id', 13)->unsigned()->nullable()
		->integer('created_ts', 13)->nullable()
		->string('client_ip', 25)->nullable()
		->boolean('is_unique')->nullable()

		->created()

		->create();

	}

	// public function addColumns()
	// {
	// }

	public function down()
	{
		$this->dropIfExists();
	}
}
