<?php

InstantVSL_Route::post('/api/host', 'Api/Host/ApiHostController@index');


// Admin
InstantVSL_Route::get('/api/settings', 'Api/Settings/ApiSettingsController@index', 'Packages/Auth/ApiCheckAuth');

InstantVSL_Route::post('/api/settings', 'Api/Settings/ApiSettingsController@update', 'Packages/Auth/ApiCheckAuth');

InstantVSL_Route::post('/api/settings/branding', 'Api/Settings/Branding/ApiSettingsBrandingController@update', 'Packages/Auth/ApiCheckAuth');

// admin lic
InstantVSL_Route::get('/api/lic', 'Api/Lic/ApiLicController@index', 'Packages/Auth/ApiCheckAuth');

InstantVSL_Route::post('/api/lic', 'Api/Lic/ApiLicController@update', 'Packages/Auth/ApiCheckAuth');


// advanced
// InstantVSL_Route::post('/api/advanced', 'Api/Advanced/ApiAdvancedController@index', 'Packages/Auth/ApiCheckAuth');




// Admin v2
InstantVSL_Route::get('/api/admin', 'Api/Admin/ApiAdminController@index', 'Packages/Auth/ApiCheckAuth');
InstantVSL_Route::get('/api/admin/menu/{menu}', 'Api/Admin/ApiAdminController@menu', 'Packages/Auth/ApiCheckAuth');

// Datatabse
InstantVSL_Route::dataTable('pages', '', 'Packages/Auth/ApiCheckAuth');
InstantVSL_Route::dataTable('blocks', '', 'Packages/Auth/ApiCheckAuth');

InstantVSL_Route::get('/api/pages/{id}/blocks', 'Api/Page/Blocks/ApiPageBlocksController@index', 'Packages/Auth/ApiCheckAuth');


InstantVSL_Route::get('/api/app', 'Api/App/ApiAppController@index', 'Packages/Auth/ApiCheckAuth');

InstantVSL_Route::post('/api/pages/{id}/reset-visits', 'Api/Visits/ApiVisitsController@reset', 'Packages/Auth/ApiCheckAuth');


// Visits
InstantVSL_Route::get('/api/visits', 'Api/Page/Visits/ApiPageVisitsAllController@index', 'Packages/Auth/ApiCheckAuth');

InstantVSL_Route::post('/api/visits/reset', 'Api/Page/Visits/ApiPageVisitsAllController@onReset', 'Packages/Auth/ApiCheckAuth');

InstantVSL_Route::get('/api/pages/{id}/visits', 'Api/Page/Visits/ApiPageVisitsController@index', 'Packages/Auth/ApiCheckAuth');

InstantVSL_Route::post('/api/pages/{id}/visits/reset', 'Api/Page/Visits/ApiPageVisitsController@onReset', 'Packages/Auth/ApiCheckAuth');



// split

InstantVSL_Route::dataTable('splits', '', 'Packages/Auth/ApiCheckAuth');

InstantVSL_Route::get('/api/blocks/{id}/splits', 'Api/Block/Split/ApiBlockSplitController@index', 'Packages/Auth/ApiCheckAuth');

// create first
InstantVSL_Route::post('/api/blocks/{block_id}/splits', 'Api/Block/Split/ApiBlockSplitController@create', 'Packages/Auth/ApiCheckAuth');

// dublicate a split
InstantVSL_Route::post('/api/blocks/{block_id}/splits/dub', 'Api/Block/Split/ApiBlockSplitController@dublicate', 'Packages/Auth/ApiCheckAuth');

// split results
InstantVSL_Route::get('/api/blocks/{id}/split-results', 'Api/Block/Split/ApiBlockSplitResultsController@index', 'Packages/Auth/ApiCheckAuth');
InstantVSL_Route::post('/api/blocks/{id}/split-results/reset', 'Api/Block/Split/ApiBlockSplitResultsController@destroy', 'Packages/Auth/ApiCheckAuth');



// LIVE
if(empty(InstantVSL::$options) || empty(InstantVSL::$options['prefix'])) {

  InstantVSL_Route::getRoot('/api/{page}/{visit}', 'Api/Page/ApiPageController@index', null, null, true);

  InstantVSL_Route::getRoot('/api/{page}/{visit}/preview', 'Api/Page/ApiPageController@preview', null, null, true);

}
else {
  InstantVSL_Route::get('/:prefix/api/{page}/{visit}', 'Api/Page/ApiPageController@index', null, null, true);

    InstantVSL_Route::get('/:prefix/api/{page}/{visit}/preview', 'Api/Page/ApiPageController@preview', null, null, true);
}


InstantVSL_Route::get('/api/check-slug/{slug}', 'Api/Page/Slug/ApiPageSlugController@index', 'Packages/Auth/ApiCheckAuth');


InstantVSL_Route::get('/api/ag/page/{id}', 'Api/Ag/Page/ApiAgPageController@index', 'Packages/Auth/ApiCheckAuth');
InstantVSL_Route::post('/api/ag/page/{id}', 'Api/Ag/Page/ApiAgPageController@create', 'Packages/Auth/ApiCheckAuth');