<?php

instant_vsl_use([
  'Controllers/Api/ApiController',
  'Models/Page'
]);

// class AffiliateLinksPro_ApiLinksCheckSlugController extends AffiliateLinksPro_ApiController
class InstantVSL_ApiPageSlugController extends InstantVSL_ApiController
{


  public function index($request)
  {
    if(!empty($request->id)) {
      $exists = InstantVSL_Page::where('id', '!=', $request->id)
      ->andWhere('slug', $request->slug)->first(['id']);
    }
    else {
      $exists = InstantVSL_Page::where('slug', $request->slug)->first(['id']);
    }


    if(empty($exists)) {
      wp_send_json_success($request->slug); exit;
    }

    wp_send_json_error($this->getNextSlug($request->id, $request->slug));
  }

  private function getNextSlug($id, $slug, $count = 2)
  {
    $check = $slug.'-'.$count;

    $exists = InstantVSL_Page::where('id', '!=', $id)
    ->andWhere('slug', $check)->first(['id']);

    if(!empty($exists)) {
      $count++;
      return $this->getNextSlug($id, $slug, $count);
    }

    return $check;

  }
}
