<?php

if(trait_exists('InstantVSL_ModelBelongsTo')) {
    return;
}

trait InstantVSL_ModelBelongsTo
{

	public function belongsTo($related, $columns=[])
	{
		// to make it easy, just try do a model search, then add join
		$relatedName = InstantVSL::getPrefix().$related;


		$related = new $relatedName();

		$relatedTable = $related->getTableFullName();

    // echo $relatedTable; exit;

		$match_column = InstantVSL_Inflector::singularize($relatedTable).'_'.$this->primary_key;

    // echo $match_column; exit;

		$col = $this->primary_key;
		$val = $this->{$match_column};

		$related->query = " WHERE {$col} = '{$val}'";

    // echo $related->query; exit;

		if(!$columns) {
			$columns = [$relatedTable.'.*'];
		}
		else {

			$related->query_columns = [];

			foreach($columns as $i) {
				array_push($columns, "{$relatedTable}.{$i}");
			}

		}

		$related->query_columns_set = true;

		return $related->newRowQuery($columns);

	}

}
