<?php

if (trait_exists('InstantVSL_ParseItem')) {
    return;
}

/*
Remove null

 */

trait InstantVSL_ParseItem
{
    public function parseItem($obj)
    {

        if (empty($obj)) {
            return $obj;
        }

        // echo gettype($obj) . is_array($obj) . "\n";

        if (is_array($obj)) {
            foreach ($obj as $key => $value) {
                if (is_null($value)) {
                    unset($obj[$key]);
                } elseif (is_string($obj[$key])) {
                    $obj[$key] = str_replace('\\', '', $obj[$key]);
                }
            }
        } elseif (is_object($obj)) {
            foreach ($obj as $key => $value) {
                if (is_null($value)) {
                    unset($obj->{$key});
                } elseif (is_string($obj->{$key})) {
                    $obj->{$key} = str_replace('\\', '', $obj->{$key});
                }
            }
        }

        return $obj;
    }
}
