<?php

instant_vsl_use([
	'Core/Model'
]);

class InstantVSL_Visit extends InstantVSL_Model
{

	protected $table = 'visits';

	protected $use_app_id = true;

	protected $use_only_created = true;

	protected $filleble = [

		'id',
		'identifier',
		'page_id',
		'client_ip',
		'is_unique',
		'is_conversion',
		'conversion_ts',
		'created_ts',
		'clicked'
	];

	public function onCreate() {
		$this->identifier = 'vis'.uniqid(true);
	}

}
